package com.duben.microtribe.mvp.model;

import java.io.Serializable;
import java.util.List;

public class VipBean implements Serializable {

    private List<ListBean> list;

    private boolean needClick;// 是否勾选协议 true-勾选

    public boolean isNeedClick() {
        return needClick;
    }

    public List<ListBean> getList() {
        return list;
    }

    public class ListBean implements Serializable{

        private boolean weixin;
        private boolean alipay;
        private boolean showCycTips;// 判断是否提示
        private double firstPayPrice;
        private double oldPrice;
        private int days;
        private int trial;//是否签约 0-没签约 1-签约
        private int trialFirstDay;
        private int activityType;//0-不显示 1-显示
        private String remarks;//底部描述
        private String pid;
        private String title;
        private String topTitle;
        private String buttonText;

        public String getButtonText() {
            return buttonText;
        }

        public boolean isWeixin() {
            return weixin;
        }

        public boolean isAlipay() {
            return alipay;
        }

        public double getPrice() {
            return firstPayPrice;
        }

        public double getOldPrice() {
            return oldPrice;
        }

        public void setOldPrice(double oldPrice) {
            this.oldPrice = oldPrice;
        }

        public int getDays() {
            return days;
        }

        public void setDays(int days) {
            this.days = days;
        }

        public String getRemarks() {
            return remarks;
        }

        public void setRemarks(String remarks) {
            this.remarks = remarks;
        }

        public String getPid() {
            return pid;
        }

        public void setPid(String pid) {
            this.pid = pid;
        }

        public int getActivityType() {
            return activityType;
        }

        public void setActivityType(int activityType) {
            this.activityType = activityType;
        }

        public String getTitle() {
            return title;
        }

        public String getTopTitle() {
            return topTitle;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public boolean isShowCycTips() {
            return showCycTips;
        }

        public int getTrialFirstDay() {
            return trialFirstDay;
        }

        public int getTrial() {
            return trial;
        }
    }
}
